#ifndef FAVBUTTON_H
#define FAVBUTTON_H

#include <QToolButton>

class FavButton : public QToolButton
{
    Q_OBJECT

public:
    FavButton(QWidget *parent = 0);

signals:
    void itemDropped();

    // QWidget interface
protected:
    virtual void dragEnterEvent(QDragEnterEvent *event) override;
    virtual void dropEvent(QDropEvent *event) override;
};

#endif // FAVBUTTON_H
